Skip to main content
POST
/
v1
/
file-manager
Create File Manager Directory
curl --request POST \
  --url https://{tenant}.mindbridge.ai/api/v1/file-manager \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "engagementId": "<string>",
  "name": "<string>",
  "parentFileManagerEntityId": "<string>"
}
'
{
  "version": 123,
  "engagementId": "<string>",
  "name": "<string>",
  "id": "<string>",
  "creationDate": "2023-11-07T05:31:56Z",
  "lastModifiedDate": "2023-11-07T05:31:56Z",
  "createdUserInfo": {
    "userId": "<string>",
    "userName": "<string>"
  },
  "lastModifiedUserInfo": {
    "userId": "<string>",
    "userName": "<string>"
  },
  "type": "DIRECTORY",
  "parentFileManagerEntityId": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://developer.mindbridge.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
engagementId
string
required

Identifies the associated engagement.

name
string
required

The name of the directory.

parentFileManagerEntityId
string

Identifies the parent directory. If NULL, the directory is positioned at the root level.

Response

201 - application/json

Created

version
integer<int64>
required

Data integrity version to ensure data consistency.

engagementId
string
required

Identifies the associated engagement.

name
string
required

The name of the directory.

id
string

The unique object identifier.

creationDate
string<date-time>

The date that the object was originally created.

lastModifiedDate
string<date-time>

The date that the object was last updated or modified.

createdUserInfo
User Info · object
read-only

Details about the user who created the object.

lastModifiedUserInfo
User Info · object
read-only

Details about the user who last modified or updated the object.

type
enum<string>

Indicates whether the object is a DIRECTORY or a FILE.

Available options:
DIRECTORY,
FILE
parentFileManagerEntityId
string

Identifies the parent directory. If NULL, the directory is positioned at the root level.